#ifndef XMEDIA_HOME_H
#define XMEDIA_HOME_H

#include <QtGui/QDialog>
#include <QThread>
#include <QDate>
#include <QTime>

namespace Ui {
    class xmedia_home;
}

class xmedia_home : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(xmedia_home)
public:
    explicit xmedia_home(QWidget *parent = 0);
    virtual ~xmedia_home();

protected:
    virtual void changeEvent(QEvent *e);

public slots:
    void commandUserInterfaceReceived(unsigned char command, unsigned char length, unsigned char *data );
    void timeUpdated(QTime time, QDate date);

private:
    Ui::xmedia_home *m_ui;
};

#endif // XMEDIA_HOME_H
