#ifndef XMEDIA_STREAMBROWSER_H
#define XMEDIA_STREAMBROWSER_H

#include <QDir>
#include <QtGui/QListWidget>
#include <QTimer>
#include <xmedia_config.h>

class xmedia_homebrowser : public QListWidget
{
    Q_OBJECT

    public:
        xmedia_homebrowser(QWidget *parent = 0);
        void setDir(const QString &path, const QString &selected = "");
        int selectNextMediaFile();
        int selectPreviousMediaFile();
        int scrollToItemAndCenter(int relative);
        bool directoryUp();
        void pickCurrentItem();

    signals:
        void picked(int id);

    private slots:
        void itemHighlighted(QListWidgetItem *mitem, QListWidgetItem* prev);
        void itemSelected(QListWidgetItem *mitem);
        void selectFirstItem();
};

#endif // XMEDIA_STREAMBROWSER_H
