#include "xmedia_home.h"
#include "ui_xmedia_home.h"
#include "xui.h"

xmedia_home::xmedia_home(QWidget *parent) :
    QDialog(parent),
    m_ui(new Ui::xmedia_home)
{
    m_ui->setupUi(this);


}

xmedia_home::~xmedia_home()
{
    delete m_ui;
}

void xmedia_home::changeEvent(QEvent *e)
{
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void xmedia_home::commandUserInterfaceReceived(unsigned char command, unsigned char length, unsigned char *data )
{
    if(command == XUI_BACK)
    {
        accept();
    }
}

void xmedia_home::timeUpdated(QTime time, QDate date)
{
    this->m_ui->lblTime->setText(time.toString("hh:mm:ss"));
    this->m_ui->lblDate->setText(date.toString("dd.MM.yyyy"));
}
