#ifndef XMEDIA_SYSTEM_H
#define XMEDIA_SYSTEM_H

#include <QThread>
#include <QDir>
#include <QProcess>
#include <QDate>
#include <QTime>
#include "xmedia_config.h"

class xmedia_system : public QThread
{
    Q_OBJECT

public:
    xmedia_system();
    virtual void run();

    void startSambaServer();
    void startUsbSupport();
    void stopUsbSupport();
    void mountInternalMemory();
    void mountSDCard();
    void unmoutSDCard();
    void mountNetworkShares();

 signals:
    void timeUpdated(QTime, QDate);

 private:
    QString getProcessResult(QString process);
    bool SDCardMounted;

};

#endif // XMEDIA_SYSTEM_H
